#include "canimal.h"
#include <cstring>

double CCat::GetFoodCaloriesPerDay()    const {return weight*80;}
double CDog::GetFoodCaloriesPerDay()    const {return weight*70;}
double CHorse::GetFoodCaloriesPerDay()  const {return weight*30;}
double CAnimal::GetFoodCaloriesPerDay() const {return 0;}

CAnimal::CAnimal(const char* animalName, float animalWeight) : weight(animalWeight) {
    char length = strlen(animalName);
    name = new char[length+1];
    for (char a=0;a<length;a++)name[a]=animalName[a];name[length]=0;
}
CAnimal::~CAnimal() {delete[] name;}
const char* CAnimal::GetName() const {return name;}
